Subject: bug#21363: 25.0.50; Some characters confuse display

From: Stephen Berman <[email-masked]>
Date: Mon, 16 Aug 2021 16:14:52 +0200

On Mon, 16 Aug 2021 16:16:06 +0300 Eli Zaretskii <[email-masked]> wrote:

>> From: Lars Ingebrigtsen <[email-masked]>
>> Date: Mon, 16 Aug 2021 14:48:32 +0200
>> Cc: [email-masked]
>>
>> Switching `auto-composition-mode' indeed fixes the problem, so perhaps
>> we should just do that automatically when running on the console?  Let's
>> see...  is that the lisp/term/linux.el file?
>>
>> Let's see...  Yes, putting
>>
>>   ;; Compositions confuse cursor movement.
>>   (global-auto-composition-mode -1)
>>
>> into that file fixes the issue for me on the Linux console, and does not
>> seem to be triggered when running from a terminal, so I'll go ahead and
>> push that change.
>
> I think we should only do that if this happens to everyone.  Can more
> people please try this recipe and report back?

I can reproduce the problem on the Linux console and the proposed fix
works for me: after disabling global-auto-composition-mode and then
visiting the file containing that text, the problem is gone.  (If I
first visit the file and then disable global-auto-composition-mode (or
just auto-composition-mode), I have to switch the buffer off the window
and then back to it in order to get the correct display.)

Steve Berman